#
# Include the TEA standard macro set
#

builtin(include,tclconfig/tcl.m4)

#
# Add here whatever m4 macros you want to define for your package
#

AC_DEFUN([TEST_THREADS], [
	if test "${TCL_THREADS}" = 0 ; then
		AC_MSG_ERROR([milters must be built with threads enabled])
	fi
])

AC_DEFUN([TEST_MILTER], [

	AC_ARG_WITH([milter], AC_HELP_STRING([--with-milter],
    		[Path to milter library (default /usr)]),
    	[ac_cv_use_milter=$withval],
		[ac_cv_use_milter=/usr])

	AC_CACHE_CHECK([for libmilter],
    	[ac_cv_use_milter],
		[ac_cv_use_milter=/usr])

	mflib="$ac_cv_use_milter/lib/libmilter.a"
	if test ! -f "${mflib}" ; then
		AC_MSG_ERROR([could not find library '${mflib}'])
	fi
	mfinc="$ac_cv_use_milter/include/libmilter/mfapi.h"
	if test ! -f "${mfinc}" ; then
		AC_MSG_ERROR([could not find header '${mfinc}'])
	fi

	PKG_INCLUDES="-I$ac_cv_use_milter/include $PKG_INCLUDES"
	PKG_LIBS="-L$ac_cv_use_milter/lib $PKG_LIBS"
])

